//methods exposed by the ray tracer that can be manipulated by the game state and main loop
//Luke Lenhart, 2008
//See the MPMA Framework license for details on how this code may be used.

#include "mpma/geo/GeoObjects.h"

namespace Renderer
{
    //Draws the entire scene
    void DrawScene();

    //frees any resources the renderer allocated
    void Cleanup();

    //public data
    extern GEO::Sphere ball;
    extern GEO::Vector3 lightPos;
    extern GEO::XAlignedUnboundedCylinder borderTop;
    extern GEO::XAlignedUnboundedCylinder borderBot;
    extern GEO::YAlignedEllipsoid paddleLeft;
    extern GEO::YAlignedEllipsoid paddleRight;

    const float ballSize=0.5f;
}
 
